QGIS Application - Bug report #5797
Global standard deviation and contrast enchancement options not saved
2012-06-14 05:02 AM - Alexander Bruy

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: Rasters

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 15287
Description

Global standard deviation and contrast enchancement options not saved after mergin raster-resampler branch. To replicate:
- open Settings - Options, Rendering tab
- check "Use standard deviation" checkbox, enter value 2.0 and select "Stretch to MinMax" contrast enchancement algorithm
- close QGIS
- open QGIS again and check this options — they are default now

History

#1 - 2012-06-20 12:38 AM - Alexander Bruy

Now with latest master (480c860) this fixed, but this global settings doesn't applied when raster loaded.

#2 - 2012-06-20 01:00 AM - Marco Hugentobler

Yes, this is still to be done. I'm thinking about implementing that in the renderer classes instead of raster layer.

#3 - 2012-06-22 07:29 AM - Marco Hugentobler
- Status changed from Open to Closed

Default settings should be considered now. My final goal is to move all the symbology related settings out of QgsRasterLayer.
